package old.core;

import org.openqa.selenium.remote.AbstractDriverOptions;
import org.openqa.selenium.chrome.ChromeOptions;
import org.openqa.selenium.firefox.FirefoxOptions;

/**
 * @author gulnaz
 */
public enum Browser {
  CHROME(ChromeOptions.class),
  FIREFOX(FirefoxOptions.class);

  private final Class<? extends AbstractDriverOptions> options;

  Browser(Class<? extends AbstractDriverOptions> options) {
    this.options = options;
  }

  public Class<? extends AbstractDriverOptions> getOptions() {
    return options;
  }

  @Override
  public String toString() {
    return name().toLowerCase();
  }
}
